Download it now!
Bug 107384 - Ctrl+V inserts into a locked layer
Summary: Ctrl+V inserts into a locked layer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Layers
  Show dependency treegraph
 
Reported: 2017-04-24 12:44 UTC by prospero78su
Modified: 2020-09-29 16:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description prospero78su 2017-04-24 12:44:13 UTC
Description:
Im have graphical element and hidden && blocking layer.
This element inserting in hidden && blocking layer!!!
Please, fix it.

Steps to Reproduce:
1. Insert element
2. blocking layer
3. Insert
4. Non profit!

Actual Results:  
Not comfort worked in this situation.

Expected Results:
Undo


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/57.0.2987.133 Safari/537.36
Comment 1 Regina Henschel 2017-04-24 17:51:26 UTC
I cannot reproduce the behavior. Therefore some questions:

Which element do you insert? (shape, control, measure line, ...) 
How do you insert the element? (Drawing with mouse; copy&paste; drag&drop;...)
Which layer do you use for the first object?
How do you "block" the layer?
Which layer is active, when you insert the second time?
Comment 2 prospero78su 2017-04-25 06:01:15 UTC
> Which item do you insert? (Form, control, measurement line, ...)
I insert figures (an oval, a line, a square, etc.)

> How do you insert an element? (Drawing with the mouse, copying and pasting, dragging and ...)
Insert

> Which layer do you use for the first object?
Any layer that has the attributes "Not for printing", "hidden", "locked"

> How do you "block" the layer?
I expose the attribute in the properties of the "block" layer

> Which layer is active when you insert the second time?
Any locked layer.
It does not matter which one. The situation is consistently repeated from the version of LibreOffice 5.1, before such illogical behavior was not.
Comment 3 prospero78su 2017-04-25 06:04:19 UTC
I do not know what kind of hemp smoked developers, but in the 5 branch of the program they spoiled a lot)))
Comment 4 Regina Henschel 2017-04-25 21:42:15 UTC
The default layers are "Layout", "Controls" and "Dimension Lines". Do you have only used these, or do you have added your own layers?

A layer is "active", if the tab is white. Which layer is "active", when you insert the first shape, before you have blocked the layer? Which layer do you have blocked then? Which layer is active, when you insert the second shape?

Please attach the resulting document, after you have performed the steps, which you have described in your first post.

And it is still not clear, how do you insert the shapes.

A bug can only be fixed, if it is reproducible. And I still cannot reproduce it.
Comment 5 prospero78su 2017-04-26 11:25:09 UTC
>The default layers are "Layout", "Controls" and "Dimension Lines". Do you 
> have only used these, or do you have added your own layers?
I use only those. Which are created by the application when creating a new document.

> A layer is "active", if the tab is white. Which layer is "active", when you
> insert the first shape, before you have blocked the layer? Which layer do
> youhave blocked then? Which layer is active, when you insert the second 
> shape?
The layer is active.
First I block the layer, then I insert it into this layer.
The layer is blocked exactly by the one into which I insert the object.
When I insert the second figure, the active layer is the same.

> Please attach the resulting document, after you have performed the steps, 
> which you have described in your first post.
Ok. In attachment.

> And it is still not clear, how do you insert the shapes.
1. For example, draw a line in an accessible layer.
2. Cut the line into the clipboard.
3. I insert into the blocked (and even hidden) layer.
4. I make the layer visible and see the inserted line there.
What is unclear in my actions?

> A bug can only be fixed, if it is reproducible. And I still cannot 
> reproduce it.
I just envy you.
Comment 6 Regina Henschel 2017-04-26 13:24:18 UTC
I've got it now.

1. Start Draw document.
2. Insert a line.
3. Cut the line using the cut symbol of the toolbar or by Ctrl+X.
4. Right click the tab of layer "Layout" and click on item "Modify".
5. Enable option "Locked". OK. Notice, that the Cut, Copy and Paste symbols in the toolbar are disabled.
6. Press Ctrl+V. Notice, the line is inserted.

Make sure that the line is indeed inserted into the locked layer:
7. Right click the tab of layer "Layout" and click on item "Modify".
8. Disable option "Locked". OK.
9. Click on line. Notice the information "(Layout)" in the status bar.

I see this behavior already in Version 4.1.0.0.alpha0+ (Build ID: 74f74aa5470fe631c7827897742c0ccbddcf6ad)
TinderBox: Win-x86@6, Branch:master, Time: 2013-02-23_23:21:01
It might be inherited from OpenOffice.org

I thought I have read a problem with Ctrl+V already, but I cannot find a duplicate.

@prospero78su: The essential part 'insert it via Ctrl+V' was still missing.
Comment 7 prospero78su 2017-04-27 06:10:01 UTC
Yes. Such behavior in the LibraDrait of Drave for a long time. It annoys me, either the layer is blocked or not. There can not be a door that is slightly closed. Or a woman who is quite a bit pregnant))
Comment 8 prospero78su 2017-04-27 06:13:25 UTC
Yes. Such behavior in LibreOffice Draw has long been. It annoys me, either the layer is blocked or not. There can not be a door that is slightly closed. Or a woman who is quite a bit pregnant))
Comment 9 Regina Henschel 2017-04-27 10:04:14 UTC
Setting back to new. The wrong behavior is reproducible.
Comment 10 QA Administrators 2018-04-28 02:32:18 UTC Comment hidden (obsolete)
Comment 11 Regina Henschel 2018-09-02 20:35:27 UTC
The bug still exists in Version: 6.2.0.0.alpha0+ (x64)
Build-ID: a201c5c8c3e7ea14001b5634f330dbce2b1f4314
CPU-Threads: 8; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: en-US (en_US); Calc: CL
Comment 12 hrodek 2018-10-10 05:39:27 UTC
I have the same problem, Draw inserts graphical object to any locked (default on new) layer.
Version 6.1.0.3 and 6.1.2.1 (PC Intel Win10_64).
Comment 13 QA Administrators 2019-10-11 02:37:54 UTC Comment hidden (obsolete)
Comment 14 mwtjunkmail 2020-08-24 18:33:18 UTC
Bug still reproducible in

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 8700bace8c0714d853f5df6918ab9c8bb3d81f77
CPU threads: 8; OS: Windows 10.0 Build 20197; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL